# $Revision: 1.8 $, $Date: 2005/01/09 18:28:01 $

%define		pname		DeskQuote
%define		pname_file	deskquote

Summary:	DeskQuote - returning random quote from appropriately formatted text file
Summary(pl):	DeskQuote - wybieranie losowego cytatu z odpowiednio sformatowanego pliku
Name:		gDesklets-%{pname}
Version:	1.2
Release:	3
License:	GPL
Group:		X11/Applications
Source0:	http://gdesklets.gnomedesktop.org/files/%{pname_file}-%{version}.tar.bz2
# Source0-md5:	78d59caa60be2821a0dcd0b45a806d9d
Source1:	%{name}-README
URL:		http://gdesklets.gnomedesktop.org/categories.php?func=gd_show_app&gd_app_id=62
BuildRequires:	python >= 1:2.3
BuildRequires:	python-pygtk-gtk >= 1.99.14
Requires:	gDesklets
%pyrequires_eq	python-libs
Provides:	gDesklets-sensor
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sensorsdir	%{_datadir}/gdesklets/Sensors
%define		_displaysdir	%{_datadir}/gdesklets/Displays

%description
DeskQuote takes an appropriately formatted text file (details in
readme) and returns a random quote from that file.

%description -l pl
DeskQuote przyjmuje odpowiednio sformatowany plik tekstowy (szczegy
w readme) i zwraca wybrany losowo z tego pliku cytat.

%prep
%setup -q -c
cp %{SOURCE1} ./README

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sensorsdir}

./Install_%{pname}_Sensor.bin --nomsg \
	$RPM_BUILD_ROOT%{_sensorsdir}

find $RPM_BUILD_ROOT%{_sensorsdir}/%{pname} -name "CVS" |xargs rm -rf

%py_comp $RPM_BUILD_ROOT%{_sensorsdir}
%py_ocomp $RPM_BUILD_ROOT%{_sensorsdir}

rm -f $RPM_BUILD_ROOT%{_sensorsdir}/*/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{_sensorsdir}/%{pname}/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gDesklets-DeskQuote.spec,v $
Revision 1.8  2005/01/09 18:28:01  saq
- missing BR epoch and pyreqeq, rel 3

Revision 1.7  2004/11/03 13:37:11  paladine
- formatting

Revision 1.6  2004/07/28 08:03:14  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.5  2004/07/23 22:19:26  grzegol
- (B)R: python-pygtk-gtk instead of python-pygtk
- rel. 2

Revision 1.4  2004/05/27 09:23:56  leafnode
- updated to 1.2

Revision 1.3  2004/05/13 17:52:52  ankry
- spaces -> tabs

Revision 1.2  2003/11/20 20:51:08  qboosh
- pl

Revision 1.1  2003/11/17 00:36:31  krzak
- new
